gmp++_int_gcd.C File Reference

gcding stuff. More...

`#include "gmp++/gmp++.h"`
`#include "givaro/giverror.h"`
Include dependency graph for gmp++_int_gcd.C:

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Functions

Integer | lcm (const Integer &a, const Integer &b)
Integer & | lcm (Integer &g, const Integer &a, const Integer &b)
Integer | gcd (const Integer &a, const Integer &b)
Integer & | inv (Integer &u, const Integer &a, const Integer &b)
| Modular inverse.
Integer & | invin (Integer &u, const Integer &b)
Integer | pp (const Integer &P, const Integer &Q)

## Detailed Description

gcding stuff.